<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RebootVideoDeviceInput StructType
 * @subpackage Structs
 */
class RebootVideoDeviceInput extends AbstractStructBase
{
    /**
     * The Mac
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Mac;
    /**
     * Constructor method for RebootVideoDeviceInput
     * @uses RebootVideoDeviceInput::setMac()
     * @param string $mac
     */
    public function __construct($mac = null)
    {
        $this
            ->setMac($mac);
    }
    /**
     * Get Mac value
     * @return string|null
     */
    public function getMac()
    {
        return $this->Mac;
    }
    /**
     * Set Mac value
     * @param string $mac
     * @return \CustomerManagement\StructType\RebootVideoDeviceInput
     */
    public function setMac($mac = null)
    {
        // validation for constraint: string
        if (!is_null($mac) && !is_string($mac)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mac, true), gettype($mac)), __LINE__);
        }
        $this->Mac = $mac;
        return $this;
    }
}
